<?php
require 'PHPMailer/src/Exception.php';
require 'PHPMailer/src/PHPMailer.php';
require 'PHPMailer/src/SMTP.php';

// Include PHPMailer
use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

// Configurați detaliile SMTP
$smtpHost = 'mail.alexcele.xyz'; // Înlocuiește cu host-ul SMTP al furnizorului tău
$smtpUsername = 'scadenta@alexcele.xyz'; // Înlocuiește cu adresa ta de email
$smtpPassword = 'O3CCW!eA=nOM'; // Înlocuiește cu parola ta de email
$smtpPort = 587; // Portul SMTP (587 pentru TLS, 465 pentru SSL)

// Calea către fișierul HTML generat
$htmlFilePath = 'due_invoices.html'; // Înlocuiește cu calea reală către fișierul HTML generat

// Verificați dacă fișierul există
if (!file_exists($htmlFilePath)) {
    die('Fișierul HTML nu a fost găsit.');
}

// Citiți conținutul fișierului HTML
$htmlContent = file_get_contents($htmlFilePath);

// Configurați PHPMailer
$mail = new PHPMailer(true);

try {
    // Setări SMTP
    $mail->isSMTP();
    $mail->Host = $smtpHost;
    $mail->SMTPAuth = true;
    $mail->Username = $smtpUsername;
    $mail->Password = $smtpPassword;
    $mail->SMTPSecure = PHPMailer::ENCRYPTION_STARTTLS;
    $mail->Port = $smtpPort;

    // Setări email
    $mail->setFrom($smtpUsername, 'Alex');
    $mail->addAddress('alexcele03@gmail.com'); // Înlocuiește cu adresa de email a destinatarului
    $mail->Subject = 'Facturi Scadente';
    $mail->Body = $htmlContent;
    $mail->isHTML(true);

    // Testare - afișare configurare
    echo "Host: " . $mail->Host . "<br>";
    echo "Username: " . $mail->Username . "<br>";
    echo "Port: " . $mail->Port . "<br>";

    // Trimiteți emailul
    if ($mail->send()) {
        echo 'Emailul a fost trimis cu succes.';
    } else {
        echo 'Emailul nu a fost trimis.';
    }
} catch (Exception $e) {
    echo "Eroare la trimiterea emailului: {$mail->ErrorInfo}";
}
?>
