<?php
include 'auth_check.php';
include 'config.php';

$data = json_decode(file_get_contents('php://input'), true);

$id = $data['id'];
$nume = $data['nume'];
$zile_scadenta = $data['zile_scadenta'];

$response = ['success' => false];

if (isset($id, $nume, $zile_scadenta)) {
    $sql = "UPDATE furnizori SET nume = ?, zile_scadenta = ? WHERE id = ?";
    $stmt = $conn->prepare($sql);
    $stmt->bind_param('ssi', $nume, $zile_scadenta, $id);

    if ($stmt->execute()) {
        $response['success'] = true;
    } else {
        $response['message'] = 'Eroare la actualizarea furnizorului.';
    }

    $stmt->close();
} else {
    $response['message'] = 'Date insuficiente.';
}

header('Content-Type: application/json');
echo json_encode($response);

$conn->close();
?>
